commit:     f9da326e6701e66a04bead69ea0d47833111197c
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Fri May 20 14:41:55 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Jun  8 19:15:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9da326e

dev-python/PyQt5-sip: add 12.10.1, enable py3.11

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/PyQt5-sip/Manifest                 |  1 +
 dev-python/PyQt5-sip/PyQt5-sip-12.10.1.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/dev-python/PyQt5-sip/Manifest b/dev-python/PyQt5-sip/Manifest
index ac479caad272..11081034108d 100644
--- a/dev-python/PyQt5-sip/Manifest
+++ b/dev-python/PyQt5-sip/Manifest
@@ -1 +1,2 @@
+DIST PyQt5_sip-12.10.1.tar.gz 121271 BLAKE2B 
5f1720a85b8522f552259be990d1d27c0f40d8c0c3ca0395679da02851e73b45210a6390b66d899fc00cabfeeda57f2bac4c8d108cd05ebc179302343fbe0457
 SHA512 
a6336195d8d5a1b216a85461c5f7acf3563c6db2255079734e955a9412522cfdb82663dbff5d60574acc7bb29dd5ef11f98f2c0c3c3d3fcbf290b039cda31638
 DIST PyQt5_sip-12.9.0.tar.gz 103007 BLAKE2B 
461973ce3563c27ce5a6e3a537cf9a8e53adc8ddde36ec1d2eb7abb986908151ece99ff8756f752d2c6e331a3e9b7b70813d35f8701cedd7f09e6edbcc435121
 SHA512 
ca6f3b18b64391fded88732a8109a04d85727bbddecdf126679b187c7f0487c3c1f69ada3e8c54051281a43c6f2de70390ac5ff18a1bed79994070ddde730c5f

diff --git a/dev-python/PyQt5-sip/PyQt5-sip-12.10.1.ebuild 
b/dev-python/PyQt5-sip/PyQt5-sip-12.10.1.ebuild
new file mode 100644
index 000000000000..91c98f7ad6e1
--- /dev/null
+++ b/dev-python/PyQt5-sip/PyQt5-sip-12.10.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="sip extension module for PyQt5"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/ 
https://pypi.org/project/PyQt5-sip/";
+
+MY_P=${PN/-/_}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+       SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz";
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+fi
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+SLOT="0/$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"

Reply via email to